### Method

# Gimp Procedure add_argument

#### Declaration [src]

    GParamSpec*
    gimp_procedure_add_argument (
      GimpProcedure* procedure,
      GParamSpec* pspec
    )

#### Description [src]

Add a new argument to `procedure` according to `pspec` specifications. The arguments will be ordered according to the call order to `gimp_procedure_add_argument()` and `gimp_procedure_add_argument_from_property()`.

If `pspec` is floating, ownership will be taken over by `procedure`, allowing to pass directly `g*_param_spec_*()` calls as arguments.

Available since: | 3.0

#### Parameters

`pspec` | `GParamSpec`
| The argument specification.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GParamSpec`
| The same `pspec` or `NULL` in case of error.
| The data is owned by the instance.